scala.tools.nsc.transform.UnCurry

# UnCurryTransformer

#### class UnCurryTransformer extends TypingTransformer

Linear Supertypes
UnCurry.TypingTransformer, Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UnCurryTransformer
2. TypingTransformer
3. Transformer
4. Transformer
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnCurryTransformer(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (UnCurryTransformer, B)

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to ArrowAssoc[UnCurryTransformer] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer

10. #### final def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

    Definition Classes
      TypingTransformer → Transformer

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### var curTree: Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

13. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

14. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

15. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

16. #### def deEta(fun: Global.Function): Global.Tree

    Undo eta expansion for parameterless and nullary methods

17. #### def ensuring(cond: (UnCurryTransformer) ⇒ Boolean, msg: ⇒ Any): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (UnCurryTransformer) ⇒ Boolean): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### def isByNameRef(tree: Global.Tree): Boolean

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### def isNonLocalReturn(ret: Global.Return): Boolean

30. #### var localTyper: (analyzer)#Typer

    Definition Classes
      TypingTransformer

31. #### def mainTransform(tree: Global.Tree): Global.Tree

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### def postTransform(tree: Global.Tree): Global.Tree

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def synthPartialFunction(fun: Global.Function): Global.Tree

    Transform a function node (x => body) of type PartialFunction[T, R] where body = expr match { case P_i if G_i => E_i }_i=1.

    Transform a function node (x => body) of type PartialFunction[T, R] where body = expr match { case P_i if G_i => E_i }_i=1..n to (assuming none of the cases is a default case):

    class $anon() extends AbstractPartialFunction[T, R] with Serializable { def applyOrElse[A1 <: A, B1 >: B](x: A1, default: A1 => B1): B1 = (expr: @unchecked) match { case P_1 if G_1 => E_1 ... case P_n if G_n => E_n case _ => default(expr) } def isDefinedAt(x: T): boolean = (x: @unchecked) match { case P_1 if G_1 => true ... case P_n if G_n => true case _ => false } } new $anon()

    If there's a default case, the original match is used for applyOrElse, and isDefinedAt returns `true`

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      UnCurryTransformer → TypingTransformer → Transformer

40. #### def transformArgs(pos: Global.Position, fun: Global.Symbol, args: List[Global.Tree], formals: List[Global.Type]): List[Global.Tree]

41. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

42. #### def transformFunction(fun: Global.Function): Global.Tree

    Transform a function node (x_1,.

    Transform a function node (x_1,...,x_n) => body of type FunctionN[T_1, .., T_N, R] to

    class $anon() extends AbstractFunctionN[T_1, .., T_N, R] with Serializable { def apply(x_1: T_1, ..., x_N: T_n): R = body } new $anon()

    If `settings.XoldPatmat.value`, also synthesized AbstractPartialFunction subclasses (see synthPartialFunction).

43. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

44. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

45. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

46. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

47. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

48. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

49. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

50. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

51. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

52. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

53. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

54. #### def typedPos(pos: Global.Position)(tree: Global.Tree): Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

55. #### def uncurryTreeType(tp: Global.Type): Global.Type

    Uncurry a type of a tree node.

    Uncurry a type of a tree node. This function is sensitive to whether or not we are in a pattern -- when in a pattern additional parameter sections of a case class are skipped.

56. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### def →[B](y: B): (UnCurryTransformer, B)

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to ArrowAssoc[UnCurryTransformer] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unCurryTransformer: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unCurryTransformer: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: UnCurryTransformer

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to ArrowAssoc[UnCurryTransformer] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unCurryTransformer: ArrowAssoc[UnCurryTransformer]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: UnCurryTransformer

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unCurryTransformer: Ensuring[UnCurryTransformer]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from UnCurry.TypingTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from UnCurryTransformer to StringAdd

### Inherited by implicit conversion any2stringfmt from UnCurryTransformer to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from UnCurryTransformer to ArrowAssoc[UnCurryTransformer]

### Inherited by implicit conversion any2Ensuring from UnCurryTransformer to Ensuring[UnCurryTransformer]

### Ungrouped